%define pkg_name        Class-InsideOut
%define pkg_version     1.08
%define rpm_pkg_version 1.08
%define rpm_pkg_release 1.n0i.4

Summary:       A safe, simple inside-out object construction kit
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DA/DAGOLDEN/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Class::ISA)
BuildRequires: perl(Config)
BuildRequires: perl(Exporter)
BuildRequires: perl(Scalar::Util) >= 1.09
%endif


%description
This is a simple, safe and streamlined toolkit for building inside-out
objects.
Unlike most other inside-out object building modules already on CPAN, this
module aims for minimalism and robustness:
- Does not require derived classes to subclass it
- Uses no source filters, attributes or "CHECK" blocks
- Supports any underlying object type including foreign inheritance
- Does not leak memory on object destruction
- Overloading-safe
- Thread-safe for Perl 5.8 or better
- "mod_perl" compatible
- Makes no assumption about inheritance or initializer needs


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}
%{fix_eol}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ LICENSE README Todo


%changelog
* Fri Aug 24 2007 Marius Feraru <altblue@n0i.net> - 1.08-1.n0i.4
- version 1.08

* Sun Aug 12 2007 Marius Feraru <altblue@n0i.net> - 1.07-1.n0i.3
- version 1.07

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.06-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.06

* Sat May 13 2006 Marius Feraru <altblue@n0i.net> 1.00-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
